Main Page Class Hierarchy Compound List File List Compound Members File Members

# global_pick_rw.h File Reference

`#include <global_msg.h>`
`#include <trace_buf.h>`

Go to the source code of this file.

## Compounds
struct | GLOBAL_PICK_MSG
## Defines
#define | GLOBAL_PICK_MAXBUFSIZE (108 + BUFF_OVERRUN_SIZE)
## Typedefs
typedef char | GLOBAL_PICK_BUFFER [GLOBAL_PICK_MAXBUFSIZE+1]
typedef GLOBAL_PICK_MSG | GLOBAL_PICK_STRUCT
## Functions
GLOBAL_MSG_STATUS | InitGlobalPick (GLOBAL_PICK_STRUCT *p_struct)
GLOBAL_MSG_STATUS | WritePickToBuffer (GLOBAL_PICK_STRUCT *p_struct, char *p_buffer, unsigned int p_length)
GLOBAL_MSG_STATUS | StringToPick (GLOBAL_PICK_STRUCT *p_pick, char *p_string)

## Define Documentation

#define GLOBAL_PICK_MAXBUFSIZE (108 + BUFF_OVERRUN_SIZE)

| Definition at line 26 of file global_pick_rw.h. Referenced by WritePickToBuffer().

## Typedef Documentation

typedef char GLOBAL_PICK_BUFFER[GLOBAL_PICK_MAXBUFSIZE+1]

| Definition at line 28 of file global_pick_rw.h.

typedef struct GLOBAL_PICK_MSG GLOBAL_PICK_STRUCT

## Function Documentation

GLOBAL_MSG_STATUS InitGlobalPick | ( | GLOBAL_PICK_STRUCT * | p_struct | ) |

| Definition at line 20 of file global_pick_rw.c. References GLOBAL_PICK_MSG::channel, GLOBAL_MSG_NULL, GLOBAL_MSG_STATUS, GLOBAL_MSG_SUCCESS, GLOBAL_PICK_VERSION, MSG_LOGO::instid, GLOBAL_PICK_MSG::location, GLOBAL_PICK_MSG::logo, MSG_LOGO::mod, GLOBAL_PICK_MSG::network, GLOBAL_PICK_MSG::phase_name, GLOBAL_PICK_MSG::pick_time, GLOBAL_PICK_MSG::polarity, GLOBAL_PICK_MSG::quality, GLOBAL_PICK_MSG::sequence, GLOBAL_PICK_MSG::station, MSG_LOGO::type, and GLOBAL_PICK_MSG::version. Referenced by StringToPick().

GLOBAL_MSG_STATUS StringToPick | ( | GLOBAL_PICK_STRUCT * | p_pick,
|  | char * | p_string
| ) |

| Definition at line 94 of file global_pick_rw.c. References GLOBAL_PICK_MSG::channel, DecodeAuthor(), GLOBAL_MSG_BADPARAM, GLOBAL_MSG_FORMATERROR, GLOBAL_MSG_NULL, GLOBAL_MSG_STATUS, GLOBAL_MSG_SUCCESS, GLOBAL_MSG_VERSINVALID, GLOBAL_PICK_VERSION, InitGlobalPick(), k_err(), k_long(), k_put(), k_str(), k_val(), GLOBAL_PICK_MSG::location, GLOBAL_PICK_MSG::logo, GLOBAL_PICK_MSG::network, GLOBAL_PICK_MSG::phase_name, GLOBAL_PICK_MSG::pick_time, GLOBAL_PICK_MSG::polarity, GLOBAL_PICK_MSG::quality, GLOBAL_PICK_MSG::sequence, GLOBAL_PICK_MSG::station, and GLOBAL_PICK_MSG::version.

GLOBAL_MSG_STATUS WritePickToBuffer | ( | GLOBAL_PICK_STRUCT * | p_struct,
|  | char * | p_buffer,
|  | unsigned int | p_length
| ) |

| Definition at line 45 of file global_pick_rw.c. References GLOBAL_PICK_MSG::channel, EncodeAuthor(), GLOBAL_MSG_BADPARAM, GLOBAL_MSG_NULL, GLOBAL_MSG_STATUS, GLOBAL_MSG_SUCCESS, GLOBAL_MSG_TOOSMALL, GLOBAL_MSG_VERSINVALID, GLOBAL_PICK_MAXBUFSIZE, GLOBAL_PICK_VERSION, GLOBAL_PICK_MSG::location, GLOBAL_PICK_MSG::logo, GLOBAL_PICK_MSG::network, GLOBAL_PICK_MSG::phase_name, GLOBAL_PICK_MSG::pick_time, GLOBAL_PICK_MSG::polarity, GLOBAL_PICK_MSG::quality, GLOBAL_PICK_MSG::sequence, GLOBAL_PICK_MSG::station, and GLOBAL_PICK_MSG::version.